<ngb-tabset>
      <ngb-tab>
      <ng-template ngbTabTitle><b>Informações</b></ng-template>
        <ng-template ngbTabContent>
            <div class="container mt-3" *ngIf="space">
                  <div class="row">
                        <div class="col-6">
                              <form method="POST" #frm="ngForm" (ngSubmit)="submitForm(frm)"> <!-- NEW -->
                                    <div class="form-group">
                                    <label for="name">Nome do local</label>
                                          <input type="text" value="{{space.name}}" class="form-control" id="name" name="name" aria-describedby="nameOfSpace" [(ngModel)]="space.name" required>
                                    </div>
                                    <div class="form-group">
                                          <label for="capacity">Capacidade</label>
                                          <input type="number" value="{{space.capacity}}" class="form-control" id="capacity" name="capacity" [(ngModel)]="space.capacity" required>
                                    </div>
                                    <div class="form-group">
                                          <label for="price">Preço</label>
                                          <input type="number" value="{{space.price}}" class="form-control" id="price" name="price" [(ngModel)]="space.price" required>
                                    </div>
                                    <div class="form-group">
                                          <label for="description">Descrição</label>
                                          <textarea class="form-control" id="description" name="description" rows="3" [(ngModel)]="space.description" required></textarea>
                                    </div>
                                    <hr/>
                                    <h5> Localização </h5>
                                    <div class="form-group">
                                          <label for="address">Endereço</label>
                                          <input type="text" class="form-control" id="address" name="address" [(ngModel)]="space.address">
                                    </div>
                                    <div class="form-group">
                                          <label for="country">País</label>
                                          <input type="text" class="form-control" id="country" name="country" [(ngModel)]="space.country">
                                    </div>
                                    <div class="form-group">
                                          <label for="state">Estado</label>
                                          <input type="text" class="form-control" id="state" name="state" [(ngModel)]="space.state">
                                    </div>
                                    <div class="form-group">
                                          <label for="city">Cidade</label>
                                          <input type="text" class="form-control" id="city" name="city" [(ngModel)]="space.city">
                                    </div>
                                    <div class="form-group">
                                          <label for="cep">CEP</label>
                                          <input type="text" class="form-control" id="cep" name="cep" [(ngModel)]="space.cep">
                                    </div>
                                    <button type="submit" class="btn btn-danger btn-lg" [disabled]="frm.invalid"><i class="far fa-save"></i> Salvar Alterações </button>
                              </form>
                        </div>
                        <div class="col-6">
                              <div class="jumbotron jumbotron-fluid">
                                    <div class="container">
                                          <h3>Categorias</h3>
                                          <mat-form-field class="example-chip-list" appearance="outline">
                                                <mat-chip-list #chipList aria-label="Fruit selection">
                                                      <mat-chip
                                                            *ngFor="let fruit of fruits"
                                                            [selectable]="selectable"
                                                            [removable]="removable"
                                                            (removed)="remove(fruit)">
                                                            {{fruit}}
                                                      <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                                                      </mat-chip>
                                                      <input
                                                            placeholder="Nova categoria..."
                                                            #fruitInput
                                                            [formControl]="fruitCtrl"
                                                            [matAutocomplete]="auto"
                                                            [matChipInputFor]="chipList"
                                                            [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                                                            [matChipInputAddOnBlur]="addOnBlur"
                                                            (matChipInputTokenEnd)="add($event)">
                                                      </mat-chip-list>
                                                      <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
                                                      <mat-option *ngFor="let fruit of filteredFruits | async" [value]="fruit">
                                                            {{fruit}}
                                                      </mat-option>
                                                </mat-autocomplete>
                                          </mat-form-field>
                                    </div>
                              </div>
                        </div>
                  </div>
            </div>
        </ng-template>
      </ngb-tab>

      <!-- TAB IMAGES -->
      <ngb-tab>
        <ng-template ngbTabTitle><b>Fotos</b></ng-template>
        <ng-template ngbTabContent>
            <div class="row mb-4 wow fadeIn mt-3">
                  <div class="col-lg-4 col-md-6 mb-4" *ngFor="let image of images">
                        <p>
                              <ngb-alert type = "secondary" (close)="close(alert)">
                                    <mat-card>
                                          <img mat-card-image src='{{ image.cloud_url }}' alt="Edit photo">
                                    </mat-card>
                              </ngb-alert>
                        </p>
                  </div>
            </div>
            <div *ngIf='condition; else elseBlock'>
                  <button type="button" class="btn btn-primary mr-4" (click)="reset()">Resetar</button>
                  <button type="button" class="btn btn-primary" (click)="save()">Salvar</button>
            </div>
            <ng-template #elseBlock>
                  <h3>Você ainda não adicionou nenhuma foto do seu espaço!</h3>
            </ng-template>

            <!-- JUMBOTRON -->
            <div class="jumbotron jumbotron-fluid mt-4">
                  <div class="container">
                    <h1 class="display-4">Adicionar fotos</h1>

                    <!-- UPLOAD DE IMAGEM -->
                    <div>
                        <p>Upload de imagem!</p>

                        <hr/>

                        <button mat-raised-button (click)="openUploadDialog()">Upload</button>
                    </div>

                    <p class="lead">Lembre-se, boas imagens chamam mais atenção. Escolha as que mais destacam as qualidades do seu espaço!</p>
                  </div>
            </div>

        </ng-template>
      </ngb-tab>

      <!--Google maps-->
      <ngb-tab>
        <ng-template ngbTabTitle>
            <div (click)="open()">Mapa e Geolocalização</div>
        </ng-template>
        <ng-template ngbTabContent>
          <div class="mt-5 text-center">
            <h4 class="text-secondary">Adicione um marcador no mapa para seu espaço</h4>
          </div>
          <div class="row">
          <div class="col-sm-6">

              <AutocompleteComponent (setAddress)="getSpaceAddress($event)" adressType="establishment"></AutocompleteComponent>

          </div>
          </div>
          <div class="card mt-3 mb-3">
            <div class="card-body" id="body_map">
                <div #mapRef style="width:100%;height:400px"></div>
            </div>
          </div>

          <button type="button" class="btn btn-danger mt-4" (click)="saveMarker()">Salvar Marcador</button>

        </ng-template>
      </ngb-tab>
</ngb-tabset>
